Subject: Re: bug#32257: 26.1; read-multiple-choice inf loops on mouse clicks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Aug 2018 08:27:54 +0300

> From: Andy Moreton <[email-masked]>
> Date: Tue, 31 Jul 2018 20:26:33 +0100
> 
> > I think "unusable" is an exaggeration, since you can recover the
> > prompt.  And the result is definitely better than the current
> > situation, where you just get stuck.
> 
> No. It is is just as unusable, as the only way to get past the stream of
> event message hiding the question you are trying to answer is to hit ^G
> until it goes away. Using `read-char-exclusive' does not make any improvement on the
> original problem.

It is here, because typing ? brings back the original prompt, as does
any other character.  So I still think you are exaggerating.

> > The echo-area messages are fine, but we should have a feature that
> > allows to suppress echoing the mouse clicks.
> 
> They are a pain if you are asked more than one question, but the echo
> area message gets in the way of the minibuffer prompt that you need to
> read in order to answer the question.

Echo area messages in general go away to reveal the prompt.  The only
problem in this case is with the echo for mouse clicks, AFAICT.